spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Protected Attributes | Friends | List of all members
spot::scc_info::scc_node Class Reference
Collaboration diagram for spot::scc_info::scc_node:

## Public Member Functions
| scc_node (acc_cond::mark_t acc, bool trivial)
bool | is_trivial () const
bool | is_accepting () const
| True if we are sure that the SCC is accepting. More...
bool | is_rejecting () const
bool | is_useful () const
acc_cond::mark_t | acc_marks () const
const std::vector< unsigned > & | states () const
const scc_succs & | succ () const

## Protected Attributes
scc_succs | succ_
acc_cond::mark_t | acc_
std::vector< unsigned > | states_
bool | trivial_:1
bool | accepting_:1
bool | rejecting_:1
bool | useful_:1

## Friends
class | scc_info

## Member Function Documentation

bool spot::scc_info::scc_node::is_accepting | ( |  | ) | const
| inline

True if we are sure that the SCC is accepting.

Note that both is_accepting() and is_rejecting() may return false if an SCC interesects a mix of Fin and Inf sets.

bool spot::scc_info::scc_node::is_rejecting | ( |  | ) | const
| inline

Note that both is_accepting() and is_rejecting() may return false if an SCC interesects a mix of Fin and Inf sets.

The documentation for this class was generated from the following file:

- spot/twaalgos/sccinfo.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.